#### D.14.5.6 netIdeal

Procedure from library `nets.lib` (see nets_lib).

Usage:
  netIdeal(P); P ideal

Assume:
  P is a poly

Return:
  visual presentation of I

Theory:
  A Singular object is converted into a character array (a Net) for on screen printing.

Example:

    LIB "nets.lib";
    ring r;
    ideal I=2x3y4,2x3y4z+x3y4z5,5x6y7z10-2x3y+4y5z8;
    netIdeal(I);
    ==> <2x3y4, x3y4z5+2x3y4z, 5x6y7z10+4y5z8-2x3y>
    ==>

User manual for Singular version 4.4.1, 2025, generated by texi2html.